# /deliveries/:id

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark>`/deliveries/:id`

The `/deliveries/:id` endpoint returns details of a given delivery Id.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:id</code></td><td>Yes</td><td></td><td>The delivery Id you are querying.</td></tr></tbody></table>

### **Params**

None

### **Response Body**

The response provides an object with details about the delivery. Some properties of this object are provided for all deliveries, for example `status`, whereas others are dependant on the type of delivery made.

The objects can have the following properties:

<table><thead><tr><th width="247">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The status of the operations.<br>Possible values:<br>- pending<br>- failed<br>- succeeded</td></tr><tr><td><code>source</code></td><td><code>string</code></td><td>The origin of the operation request.</td></tr><tr><td><code>sourceChain</code></td><td><code>string</code></td><td>The origin chain for the request, will be 0 if request originated off-chain.</td></tr><tr><td><code>sourceContract</code></td><td><code>string</code></td><td>The origin contract for the request, will be the zero address if request originated off-chain.</td></tr><tr><td><code>destinationChain</code></td><td><code>number</code></td><td>The chain Id of the chain this operation will run on</td></tr><tr><td><code>destinationContract</code></td><td><code>string</code></td><td>The contract address destination for this operation (i.e. the endpoint).</td></tr><tr><td><code>sourceKey</code></td><td><code>string</code></td><td>bytes32 hash of the submitting API key.</td></tr><tr><td><code>callData</code></td><td><code>string</code></td><td>The calldata to execute on-chain.</td></tr><tr><td><code>opAccount</code></td><td><code>string</code></td><td>The abstract account executing the operation.</td></tr><tr><td><code>opTarget</code></td><td><code>string</code></td><td>The target contract of the operation.</td></tr><tr><td><code>opCalldata</code></td><td><code>string</code></td><td>The hex calldata that will be executed.</td></tr><tr><td><code>opHash</code></td><td><code>string</code></td><td>Hash of the hex calldata.</td></tr><tr><td><code>processed</code></td><td><code>boolean</code></td><td>If the operation has been processed.</td></tr><tr><td><code>timestamp</code></td><td><code>string</code></td><td>Time of execution.</td></tr><tr><td><code>deliveryHash</code></td><td><code>string</code></td><td>Unique hash of delivery elements.</td></tr><tr><td><code>decodedError</code></td><td><code>object</code></td><td>Decoded information from error logs, if any.</td></tr><tr><td><code>error</code></td><td><code>boolean</code></td><td>Will be true if an error has occured.</td></tr><tr><td><code>errorDetails</code></td><td><code>object</code></td><td>Full dump of the error details logged.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/deliveries/679ab1971486a7ccc97ad44e
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "_id": "679ab1971486a7ccc97ad44e",
    "status": "succeeded",
    "source": "api-aa",
    "sourceChain": 0,
    "sourceContract": "0x0000000000000000000000000000000000000000",
    "destinationChain": 11145513,
    "destinationContract": "0xF638467824B175196856ac72FdCB6a92d61950d2",
    "sourceKey": "0x24615a7418f6de7a169627b0572ff663295885a9bfd02cb7a4c111ecaf2ed6e7",
    "calldata": {
        "to": "0xF638467824B175196856ac72FdCB6a92d61950d2",
        "data": "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"
    },
    "opAccount": "0xa8C46f79c72DbfE885e54b5527002c515F860875",
    "opTarget": "0x4995423334127293b31d8c810Bb183809f82Be55",
    "opCalldata": "0x62a61351000000000000000000000000a8C46f79c72DbfE885e54b5527002c515F860875000000000000000000000000000000000000000000000000000000000000000500000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "opHash": "0x1c5a128bd63988523c2ae5a83a399d8a6717ddf89eca693ab483b32d6276ccb5",
    "processed": true,
    "timestamp": "2025-01-29 22:54:15",
    "deliveryTxnHash": "0x35976255a98d167ac9b6e15e54abe5ef11eb65d34c066721482abef4b2bde581"
}
```

{% endtab %}
{% endtabs %}
